This EndPoint can be used to query information about all work requests or a specific one.
The "code" parameter in the url is the request's id. It can be found in this same endpoint, field id_code
GET https://app.fracttal.com/api/work_requests/{code}Input parameters
| Parameter | Type | Required | Description | ||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
code | String | Optional | Request id. It can be found in this same endpoint, field id_code | ||||||||
since | String | Optional | Query start date. Format: 'YYYY-MM-DDTHH:MM:SS-UTC' Example:'2016-07-12T20:00:00-03'. | ||||||||
until | String | Optional | Query end date. Format: 'YYYY-MM-DDTHH:MM:SS-UTC' Example:'2016-07-12T20:00:00-03'. | ||||||||
type_date | String | Optional | Type of date used for the query. Can be:
| ||||||||
id_status | String | Optional | Work request status id, available values are: 1 - Open | ||||||||
code_creator | String | Optional | Code of the personnel who created the request (code field from personnel_log). It is NULL/empty if the creator is a third party or if the request originated from the Guest Portal (contacts_log has no code field). | ||||||||
code_item | String | Optional | Code of the asset/item associated with the request (code field from items_log). | ||||||||
identifier | String | Optional | Reference | ||||||||
page | Integer | Optional | Page number to query. | ||||||||
start | Integer | Optional | Record number where the query will start. Default 0. All queries are limited to 100 records; when there are more than that, use this parameter for pagination. | ||||||||
limit | Integer | Optional | Number of records the request will return. Default value is 100. |
Note oncode_creatorandcode_itemBoth filters use
NULLIFinternally — an empty string is treated as not sent (no filtering applied).code_creatormay come back NULL when the creator is a third party or when the request originated from the Guest Portal, sincecontacts_loghas nocodefield.
Output parameters
| Parameter | Field type | Description |
|---|---|---|
id_code | String | Request id |
date | UTC-0 Date | Request creation date |
is_urgent | String | True if the request is urgent, false otherwise |
description | String | Request description |
rating | String | Request rating |
rating_notes | String | Request rating notes |
observation | String | Request notes |
date_solution | UTC-0 Date | Solution date |
types_description | String | Group |
items_description | String | Asset associated with the request |
date_status | String | Date of the last status change |
requests_x_status_notes | String | Status change note |
requests_x_status_description | String | Current status description |
accounts_name | String | User who created the request |
accounts_email | String | Email of the user who created the request |
requests_x_key_words_descriptions | String | Keywords |
wo_folio | String | ID of the WO related to the request |
date_incident | UTC-0 Date | Incident date |
parent_description | String | Location of the asset associated with the request |
requests_x_status_accounts_name | String | Name of the person who made the last status change |
requested_by | String | Requested by |
types_1_description | String | Classification 1 |
types_2_description | String | Classification 2 |
identifier | String | Reference |
geolocation | String | Geolocation |
Example:
Request: (GET)https://app.fracttal.com/api/work_requests/381
{
"success": true,
"message": "200",
"data": [
{
"id_code": 385,
"date": "2016-11-30T19:44:07.361543+00:00",
"is_urgent": false,
"description": "AVERIA",
"rating": null,
"rating_notes": null,
"observation": "REAPRAR",
"date_solution": null,
"types_description": "Electricidad",
"items_description": "EQUIPO PARA EJEMPLO ",
"id_status": 7,
"date_status": "2016-11-30T19:45:24.225016+00:00",
"requests_x_status_notes": "REQUEST_TODO",
"requests_x_status_description": "REQUEST_TODO",
"accounts_name": "RICARDO ROMAN",
"accounts_email": "[email protected]",
"requests_x_key_words_descriptions": "Equipo Falla., Equipo en Cliente",
"wo_folio": null,
"date_incident": "2016-11-30T16:47:03",
"parent_description": "// AMERICA/ UBICACION DE EJEMPLO/ EQUIPO PARA EJEMPLO/ ",
"requests_x_status_accounts_name": "RICARDO ROMAN",
"requested_by": "RICARDO ROMAN",
"types_1_description": "EQUIPO FALLA",
"types_2_description": "CLASIFICACIÓN 2",
"identifier": "",
"geolocation": "{\"latitude\":-33.4213982,\"longitude\":-70.60434660000001,\"hour\":\"2016-11-30 4:47 PM\",\"address\":\"San Pío X 2449, Providencia, Región Metropolitana, Chile\"}"
}
],
"total": 1
}Example — filtering by creator and asset:
Request: (GET)https://app.fracttal.com/api/work_requests?code_creator=JCDIAZ&code_item=EQ-0042
{
"success": true,
"message": "200",
"data": [
{
"id_code": 3884,
"description": "ALEJANDRO STABILITY TEST",
"items_description": "SAMPLE EQUIPMENT",
"id_status": 1
}
],
"total": 1
}Path Params
code — string — required
200